#include<reg51.h>
#define LED P1
void delay(int);
void main( )
  {  
      IE=0x085;
      TCON=0x05;
      IP=0x04;
      while(1)
      {
         
         LED=0x0ff;         
         delay(200);
         LED=0x00; 
         delay(200);
       }
  }
  void  inter0(void) interrupt 0
 {
       int i;
       LED=0x03;
       for(i=0;i<5;i++)
            {
              delay(200);
              LED=(LED<<1);
            }
   

  }
  void  inter1(void) interrupt 2
 {
       int i;
       LED=0xc0;
       for(i=0;i<5;i++)
            {
              delay(200);
              LED=(LED>>1);
            }
   

  }
  
  void delay(int x)
  {
     int i,j;
     for(i=0;i<x;i++)
       for(j=0;j<255;j++);
  }